--望州城
--道具环

--脚本号
x103006_g_scriptId=103006
--环任务id MissionRoundConfigId
x103006_g_missionRoundConfigId = 13
--任务最低等级
x103006_g_MinLevel=70
--事件交互入口
function x103006_OnDefaultEvent( scene,selfId ,targetId)
	-- body
	BeginEvent(scene)
	AddText(scene,"[43596b]少年，你骨骼精奇，老朽一看你就是塊煉器的天才！吶，我這有「煉器通仙」秘法，完成這些試煉便能獲得天大的好處[-]")
	AddNumText(scene,x103006_g_scriptId,"煉器通仙",-1,0)	
	EndEvent(scene)
	DispatchEventList(scene,selfId,targetId,true)
end

--事件列表选中一项

function x103006_OnEventRequest( scene,selfId,targetId,eventId ,index)
	-- body
	if index==0 then
		if GetLevel(scene,selfId) >=x103006_g_MinLevel then
		BeginEvent(scene)
		AddText(scene,"煉器通仙由100环任务组成，每完成100环煉器通仙便能获得额外的奖励")
		AddNumText(scene,x103006_g_scriptId,"接取任務",-2,1001,2,x103006_g_missionRoundConfigId)
		AddNumText(scene,x103006_g_scriptId,"活動說明",-1,1002)
		EndEvent(scene)	
		DispatchEventList(scene,selfId,targetId)
		else 
			--等级不足
			SendServerTips(scene,selfId,"#{31005}")
		end
	elseif index==1002 then
		BeginEvent(scene)
		AddText(scene,"\n1.煉器通仙任务每周可接取一次，放弃任务后本周内无法再次接取。\n2.任务领取后可以跨周完成，下周不清空上周的任务进度，下周的领取次数也不会被占用，如果跨周超过两周以上时，也只会有一次领取机会。\n3.每个玩家身上只能同时存在一个未完成的“煉器通仙”任务，未完成当前的任务无法接取新的“煉器通仙”。\n4.每当完成煉器通仙100环任务后，就会获得额外的奖励")
		AddNumText(scene,x103006_g_scriptId,"接取任務",-2,1001,2,x103006_g_missionRoundConfigId)
		AddNumText(scene,x103006_g_scriptId,"活動說明",-1,1002)
		EndEvent(scene)	
		DispatchEventList(scene,selfId,targetId)
	end
end